---
title: ""Learning Go: Day Two"
date: 2024-05-02T08:00:00.0Z
tags:
    - tech
    - learning
    - go
    - WeblogPoMo
excerpt: "In part two, I take a look at how to organise code into packages"
---

Welcome to Part Two of my series on Learning Go for WeblogPoMo. In this part, I'm going to look at how to organise my code into separate packages, so that I don't have to store everything in once single file.

## Creating a package

This was fairly straightforward. Packages are noted by the `package <name>` directive at the start of the file. You can even see that in `main.go`, which has `package.main` at the start. So, to create a package I added a directory for it (I'm calling it `maths`[^1]), and then added a `maths.go` file to it. For now, I'll just move the `multiply` function to it:

```go
package maths

func multiply(a, b int) int {
	return a * b
}
```

Fairly straightforward, right?

## Importing and running the code

## Wait, what?

## The vendor directory

[^1]: Yes, maths, not math